package ass.sivakfil.hw8.server;

import java.io.IOException;

public interface IServer {
	/**
	 * Runs server with given handler
	 * @param handler - ObservableTransformer that processes requests
	 * @param requestTerminator - token that terminates client request
	 */
	void run(IRequestHandler handler, String requestTerminator) throws IOException;
}
